View Issue Details

IDProjectCategoryView StatusLast Update
0019190LazarusIDEpublic2011-12-01 11:26
ReporterRoland TurcanAssigned ToMartin Friebe 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.1 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019190: Make clean all raises error
DescriptionLazarus - revision 30359
Freepascal - revision 16982


Assembling (pipe) ../units/i386-darwin/debugeventsform.s
Compiling /Users/test/develop/lazarus/debugger/gdbmidebugger.pp
Compiling /Users/test/develop/lazarus/debugger/gdbtypeinfo.pp
Compiling /Users/test/develop/lazarus/debugger/gdbmimiscclasses.pp
Fatal: Can't find unit libc used by GDBMIMiscClasses
Fatal: Compilation aborted
TagsNo tags attached.
Fixed in Revision30360,30385
LazTarget0.99.0
WidgetsetCarbon
Attached Files

Activities

Juha Manninen

2011-04-18 11:02

developer   ~0047549

Fixed by Mattias at r30360.

Roland Turcan

2011-04-19 10:14

reporter   ~0047593

Something is still going wrong (rev 30379):

ld warning: unknown stabs type 0xE0 in /Users/test/develop/lazarus/converter/../units/i386-darwin/convcodetool.o
Undefined symbols:
  "___errno_location", referenced from:
      _IDEMINILIBC_ERRNO$$LONGINT in ideminilibc.o
  "_ptsname_r", referenced from:
      _GDBMIMISCCLASSES_TPSEUDOTERMINAL_$__OPEN in gdbmimiscclasses.o
  "_getpt", referenced from:
      _GDBMIMISCCLASSES_TPSEUDOTERMINAL_$__OPEN in gdbmimiscclasses.o
ld: symbol(s) not found
An error occurred while linking
lazarus.pp(130,42) Error: Error while linking
lazarus.pp(130,42) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
make[2]: *** [lazarus] Error 1
make[1]: *** [ide] Error 2
make: *** [ide] Error 2

Therefore I reopen this issue.

Juha Manninen

2011-04-19 11:36

developer   ~0047595

Ok, it is OS/X related then. Must be assigned to someone else.

Martin Friebe

2011-04-19 14:37

manager   ~0047602

Please try with rev 30385

Roland Turcan

2011-04-19 14:52

reporter   ~0047604

Thanks, it compiles fine.

Issue History

Date Modified Username Field Change
2011-04-18 10:21 Roland Turcan New Issue
2011-04-18 10:21 Roland Turcan Widgetset => Carbon
2011-04-18 11:01 Juha Manninen Status new => assigned
2011-04-18 11:01 Juha Manninen Assigned To => Juha Manninen
2011-04-18 11:02 Juha Manninen Fixed in Revision => r30360
2011-04-18 11:02 Juha Manninen LazTarget => -
2011-04-18 11:02 Juha Manninen Status assigned => resolved
2011-04-18 11:02 Juha Manninen Resolution open => fixed
2011-04-18 11:02 Juha Manninen Note Added: 0047549
2011-04-19 10:14 Roland Turcan Note Added: 0047593
2011-04-19 10:14 Roland Turcan Status resolved => assigned
2011-04-19 10:14 Roland Turcan Resolution fixed => reopened
2011-04-19 11:35 Juha Manninen Assigned To Juha Manninen =>
2011-04-19 11:36 Juha Manninen Note Added: 0047595
2011-04-19 14:37 Martin Friebe Note Added: 0047602
2011-04-19 14:52 Roland Turcan Note Added: 0047604
2011-04-19 15:16 Martin Friebe Assigned To => Martin Friebe
2011-04-19 15:17 Martin Friebe Fixed in Revision r30360 => 30360,30385
2011-04-19 15:17 Martin Friebe LazTarget - => 0.99.0
2011-04-19 15:17 Martin Friebe Status assigned => resolved
2011-04-19 15:17 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-04-19 15:17 Martin Friebe Resolution reopened => fixed
2011-04-19 15:17 Martin Friebe Target Version => 0.99.0
2011-12-01 11:26 Marc Weustink Status resolved => closed